Package com.clickhouse.jdbc.internal

## Class JdbcTransaction

- java.lang.Object
- - com.clickhouse.jdbc.internal.JdbcTransaction

    public class JdbcTransaction
    extends Object

### Field Summary

Fields
`protected String` `id`
`protected List<String>` `queries`
`protected List<JdbcSavepoint>` `savepoints`
`protected ClickHouseTransaction` `tx`

### Constructor Summary

Constructors
`JdbcTransaction​(ClickHouseTransaction tx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `commit​(Logger log)`
`void` `rollback​(Logger log)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tx

    protected final ClickHouseTransaction tx

#### id

    protected final String id

#### queries

    protected final List<String> queries

#### savepoints

    protected final List<JdbcSavepoint> savepoints

### Constructor Detail

#### JdbcTransaction

    public JdbcTransaction​(ClickHouseTransaction tx)

### Method Detail

#### commit

    public void commit​(Logger log)
                throws SQLException

Throws:
  `SQLException`

#### rollback

    public void rollback​(Logger log)
                  throws SQLException

Throws:
  `SQLException`